
Redmine - Feature #1282

Add global Spent time report

2008-05-22 08:59 - Maxim Krušina

Status: Closed Start date: 2008-05-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

This is only last issue we miss so much in redmine!

We need really the same time report (which is great) as for single project, but we need to list all projects.

We need this for invocing our clients, paying to our developers, tracking overall spent time of our developers, etc.

Unfortunately we're not ruby developers, so now we're using some terrible PHP-hack...

Please save our souls! Case of Pilsner Urquell Beer to the man who will save us!!!

Related issues:

Related to Redmine - Feature #994: Add global reports for all projects Closed 2008-04-04

Related to Redmine - Feature #301: Reports on all projects Closed

History

#1 - 2008-05-22 09:01 - Maxim Krušina

PS: in "Spent time / Report tab" there should be new item in selectbox: Project

#2 - 2008-05-22 23:42 - Eric Davis

+1 I've been thinking about porting my Timesheet plugin to the Redmine core.  The Time Tracking has really improved in the core over the past few

months and I find myself using my plugin less and less.  I already have the code to query the TimeLog model, we will just need to hook it upto the UI.

#3 - 2008-05-23 08:38 - Maxim Krušina

OK, I'm going to shop for the case of beer, seriously!

#4 - 2008-05-23 10:28 - Anton Nepomnyaschih

+1 Good news :)

#5 - 2008-12-05 23:53 - Mischa The Evil

Imho this issue is resolved by r1778. Please provide some feedback if this issue can be resolved...

#6 - 2008-12-31 00:53 - Mischa The Evil

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Fixed

Implemented, so closed...
